package com.develop.common.dialog

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.develop.base.ext.updateText
import com.develop.base.mvvm.FullScreenTransparentDialog
import com.develop.common.databinding.DialogLoadingBinding

class LoadingDialog : FullScreenTransparentDialog() {

    var loadingTitle = "Loading"
    private lateinit var binding:DialogLoadingBinding
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        binding = DialogLoadingBinding.inflate(inflater,container,false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        binding.tvLoading.updateText(loadingTitle)
    }
}